Qbs Manual

Qbs 1.13.1

CppApplication ◦ InnoSetup

# DynamicLibrary QML Type

Dynamic library. More...

Import Statement: | import QbsConvenienceItems .
Inherits: | Product

- List of all members, including inherited members

## Properties

- importLibInstallDir : string
- install : bool
- installDir : string
- installImportLib : bool

## Detailed Description

A DynamicLibrary item is a Product of the type `"dynamiclibrary"`.

For Android targets, the following applies:

- The Product.type property value contains `"android.nativelibrary"` in addition to `"dynamiclibrary"`.
- There is a dependency on the cpp and Android.ndk modules.

## Property Documentation

importLibInstallDir : string

Where to install the import library, if installImportLib is enabled.

The value is appended to qbs.installPrefix when constructing the actual installation directory.

This property is only relevant for Windows targets.

Default: `lib`

This QML property was introduced in Qbs 1.13.

install : bool

If `true`, the library will be installed to installDir.

Default: `false`

This QML property was introduced in Qbs 1.13.

installDir : string

Where to install the library, if install is enabled. On Unix, the symbolic links are also installed to this location.

The value is appended to qbs.installPrefix when constructing the actual installation directory.

Default: `Library/Frameworks` if the library is a bundle, otherwise `bin` for Windows and `lib` for Unix-like targets.

This QML property was introduced in Qbs 1.13.

installImportLib : bool

If `true`, the import library will be installed to importLibInstallDir. This property is only relevant for Windows targets. Enable it if you want to create a development package.

Default: `false`

This QML property was introduced in Qbs 1.13.

CppApplication ◦ InnoSetup